MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002687VCMICampaignspublic2017-05-29 17:482018-01-09 07:20
Reportertruckercap 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSGNU/LinuxOS VersionAntergros Cinn.
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002687: Crash after campaign video (2nd scenario)
DescriptionThis varies from the other open crash bug that is open relating to unknown map formats/empty map files.
On a fresh install of Antergros with vcmi-git built from AUR.

Campaigns start just fine for the first scenario but after completing first scenario and watching the campaign video for the second scenario the game crashes

VCMI_Client_log.txt

2017-May-29 12:35:23.117506 INFO network [7f3bebc62700] - Connecting to the server: 1
2017-May-29 12:35:23.117582 INFO network [7f3bebc62700] - Will send info to server...
2017-May-29 12:35:23.156406 ERROR network [7f3c10ac9700] - Error: server failed to close correctly or crashed!
2017-May-29 12:35:23.156452 ERROR network [7f3c10ac9700] - Check /home/xxxx/.cache/vcmi/server_log.txt for more info

VCMI_Server_log.txt

2017-May-29 12:35:23.153556 TRACE global [7fcf04b2c740] - Calling Init for object 939, ,
2017-May-29 12:35:23.153566 TRACE global [7fcf04b2c740] - Calling Init for object 940, ,
2017-May-29 12:35:23.153574 TRACE global [7fcf04b2c740] - Calling Init for object 941, deadVegetation, object
2017-May-29 12:35:23.153584 TRACE global [7fcf04b2c740] - Calling Init for object 942, ,
2017-May-29 12:35:23.153591 TRACE global [7fcf04b2c740] - Calling Init for object 943, deadVegetation, object
2017-May-29 12:35:23.153601 TRACE global [7fcf04b2c740] - Calling Init for object 944, shrub, object
2017-May-29 12:35:23.153608 TRACE global [7fcf04b2c740] - Calling Init for



 
Steps To ReproduceInstall VCMI_git, build using --gog option.
launch vcmilauncher with any expansion mod enabled.
Beat first scenario of campaign.
Attempt 2nd scenario, crashes on startup.
Additional InformationThis error has occurred on all expansion mod campaigns I have attempted. WOG and Heroes Chronicles (one submod enabled at a time).
I will verify whether this issue affects stock campaigns today.
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0002037resolvedSXX Crash RoE - Long Live Qeen - mission2 - Guardian Angel 

-  Notes
(0007067)
truckercap (reporter)
2017-05-29 17:51

Reference of console error when crash occurs.

terminate called after throwing an instance of 'boost::exception_detail::clone_impl<boost::exception_detail::error_info_injector<boost::system::system_error> >'
  what(): read: End of file
(0007068)
truckercap (reporter)
2017-05-29 19:26

This error occurs during stock campaigns as well. Sometimes after the first campaign video.
(0007069)
truckercap (reporter)
2017-05-30 03:43

After a new update to boost, and recompiling VCMI, this issue does not seem to manifest itself.
(0007115)
SXX (administrator)
2017-07-14 13:00

Should be resolved now:
https://github.com/vcmi/vcmi/commit/ee7862b12f2d72ea51993416e1cbafbb300d825c [^]
https://github.com/vcmi/vcmi/commit/4bf1c9a9a354857ae79e21b2c390aca7b10fde06 [^]

I tested few campaigns and they seems to be working fine.
Old saves should also be working as long as you just go to next scenario.
(0007116)
SXX (administrator)
2017-07-14 13:01

Actually this is weird that it's fixed itself for you. There was actually a bug that mess badly with gamestate on initialization and cause crash on saving.
(0007230)
amzukk1 (reporter)
2017-08-22 12:04

On android there is still the bug visible. It can be reproduced in two ways:
- Load single player map, Exit to main menu and try to load other single player map again - the VCMI gets stuck on loading screen.
- Second mission in campaign is not loading correctly - see point above.

Tested on version:
https://builds.vcmi.download/branch/develop/Android/VCMI-branch-develop-5067e73-091f3dc.apk [^]

On Android 7.0
(0007239)
SXX (administrator)
2017-08-24 18:34

I'm sorry to say, but sadly latest built Android version might still contain already fixed issues. I'll probably try to fix Android build later, but for now it's broken and outdated.
(0007349)
t4nker (reporter)
2018-01-09 07:20

any luck of fixing the loading freeze on android?

- Issue History
Date Modified Username Field Change
2017-05-29 17:48 truckercap New Issue
2017-05-29 17:51 truckercap Note Added: 0007067
2017-05-29 19:26 truckercap Note Added: 0007068
2017-05-30 03:43 truckercap Note Added: 0007069
2017-07-14 12:53 SXX Relationship added duplicate of 0002037
2017-07-14 13:00 SXX Note Added: 0007115
2017-07-14 13:00 SXX Status new => resolved
2017-07-14 13:00 SXX Fixed in Version => 0.next
2017-07-14 13:00 SXX Resolution open => fixed
2017-07-14 13:00 SXX Assigned To => SXX
2017-07-14 13:01 SXX Note Added: 0007116
2017-08-22 12:04 amzukk1 Note Added: 0007230
2017-08-24 18:34 SXX Note Added: 0007239
2018-01-09 07:20 t4nker Note Added: 0007349

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean